## org.exist.xquery
Class Cardinality

    java.lang.Object
      org.exist.xquery.Cardinality

public class Cardinality
extends java.lang.Object

Defines occurrence indicators (*,?,+).

Author:
  wolf

Field Summary
`static int` `EMPTY`
`static int` `EXACTLY_ONE`
`static int` `MANY`
`static int` `ONE`
`static int` `ONE_OR_MORE`
`static int` `ZERO`
`static int` `ZERO_OR_MORE`
`static int` `ZERO_OR_ONE`

Constructor Summary
`Cardinality()`

Method Summary
`static boolean` `checkCardinality(int required, int cardinality)`
`static java.lang.String` `getDescription(int cardinality)`
`static java.lang.String` `toString(int cardinality)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ZERO

    public static final int ZERO

See Also:
  Constant Field Values

### ONE

    public static final int ONE

See Also:
  Constant Field Values

### MANY

    public static final int MANY

See Also:
  Constant Field Values

### EMPTY

    public static final int EMPTY

See Also:
  Constant Field Values

### EXACTLY_ONE

    public static final int EXACTLY_ONE

See Also:
  Constant Field Values

### ONE_OR_MORE

    public static final int ONE_OR_MORE

See Also:
  Constant Field Values

### ZERO_OR_MORE

    public static final int ZERO_OR_MORE

See Also:
  Constant Field Values

### ZERO_OR_ONE

    public static final int ZERO_OR_ONE

See Also:
  Constant Field Values

Constructor Detail

### Cardinality

    public Cardinality()

Method Detail

### toString

    public static final java.lang.String toString(int cardinality)

### getDescription

    public static final java.lang.String getDescription(int cardinality)

### checkCardinality

    public static final boolean checkCardinality(int required,
                                                 int cardinality)

Copyright (C) Wolfgang Meier. All rights reserved.